<?php

namespace Modules\Small\Database\Seeders;

use Illuminate\Support\Carbon;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class SmallsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();

        DB::table('module_smalls')->insert([
            [
                'name'         => 'Small 1',
                'user_id'      => 1,
                'created_at'   => Carbon::now(),
                'updated_at'   => Carbon::now(),
            ],
            [
                'name'         => 'Small 2',
                'user_id'      => 1,
                'created_at'   => Carbon::now(),
                'updated_at'   => Carbon::now(),
            ],
            [
                'name'         => 'Small 3',
                'user_id'      => 1,
                'created_at'   => Carbon::now(),
                'updated_at'   => Carbon::now(),
            ]
        ]);
    }
}
