@extends('modulus::layouts.app.adminlte')

@section('content')
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Configuration</h3>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                  <i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
                  <i class="fa fa-times"></i>
                </button>
            </div>
        </div>
        <div class="card-body">

            <form action="{{ route('module.small.config.post') }}" method="post">
                @csrf

                <div class="forw-row">
                    <div class="col">
                        {!! Field2::input([
                            'label' => 'Paramètre 1',
                            'name'  => 'params1',
                            'value' => $config->params1
                        ]) !!}
                    </div>
                </div>

                <div class="form-action">
                    <a href="{{ route('modulus.module.index') }}" class="btn btn-warning">
                        <i class="fa fa-reply" aria-hidden="true"></i>
                    </a>

                    <button class="btn btn-success" type="submit">
                        <i class="fa fa-floppy-o" aria-hidden="true"></i>
                    </button>
                </div>
            </form>
        </div>
    </div>
@endsection
