<?php

namespace Goldenscarab\Modulus\App\Http\Services\App;

use Exception;
use Throwable;
use RuntimeException;
use Illuminate\Support\Facades\Blade;


class AppService
{
    private $version_file = '.version';


	/**
     * Methode moteur de rendu blade depuis une variable
     * @param  String $string Chaine à traitée
     * @param  Array $__data Tableau des données à passer pour le traitement
     * @return String         La vue parsé
     */
    public function bladeRender($string, &$__data = [])
    {
        // On compile la chaine de caractère en php
        $__php = Blade::compileString($string);

        $obLevel = ob_get_level();

        $returned = null;

        ob_start();

        // Importe les variables dans la table des symboles
        extract($__data, EXTR_SKIP);

        // On tente d'exécuter le code
        try {

            $returned = eval('?' . '>' . $__php);

        } catch (Exception $e) {

            while (ob_get_level() > $obLevel) ob_end_clean();
            throw $e;

        } catch (Throwable $e) {

            while (ob_get_level() > $obLevel) ob_end_clean();
            throw new RuntimeException($e);
        }

        if (!is_null($returned)) {
            return $returned;
        }

        // On retourne la chaine de caractère résultante
        return ob_get_clean();
    }

}
