<?php

namespace Goldenscarab\Modulus\App\Mails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;


class SendTest extends Mailable
{
    use Queueable, SerializesModels;


    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct()
    {

    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {

        return $this->subject("Modulus - Test envoi de mail")
                    ->view('mails.default-html')
                    ->text('mails.default-txt')
                    ->with([
                        'title'      => 'Mail test',
                        'greeting'   => 'Bonjour !',
                        'content'    => "Ceci est un mail test.",
                        'salutation' => 'Cordialement',
                        'action'     => [
                            'text' => 'Voir le site web',
                            'href' => url('/'),
                        ],
                    ]);
    }
}
