<?php

namespace Goldenscarab\Modulus\App\Models;

use Illuminate\Database\Eloquent\Model;

class Module extends Model
{
    protected $searchable = ['name'];

    protected $casts = ['menu' => 'object'];

    // public function getMenuBackAttribute()
    // {
    //     if (isset($this->attributes['menu_back'])) {
    //         return unserialize($this->attributes['menu_back']);
    //     }
    // }

    // public function setMenuBackAttribute($content)
    // {
    //     $this->attributes['menu_back'] = serialize($content);
    // }

    // public function getMenuFrontAttribute()
    // {
    //     if (isset($this->attributes['menu_front'])) {
    //         return unserialize($this->attributes['menu_front']);
    //     }
    // }

    // public function setMenuFrontAttribute($content)
    // {
    //     $this->attributes['menu_front'] = serialize($content);
    // }

    public function scopeSearch($request, $search)
    {
        if (is_null($search)) {
            return $request;
        }

        return $request
            ->where('name',  'LIKE','%' . $search . '%');
    }
}
