<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Contracts\Validation\Rule;

class AntiRobotName implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        // On controle que le champs est bien null
		return  preg_match('/^$/', $value) == 1;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return '<i class="fa fa-android mr-1" aria-hidden="true"></i>L\'application vous à détecté comme étant un robot';
    }
}
