<?php

namespace Database\Seeders;

use Illuminate\Support\Str;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class UsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('users')->insert([
            'avatar'            => '/images/modulus/man.svg',
            'lastname'          => 'CARRE',
            'firstname'         => 'Sylvain',
            'email'             => 'web@goldenscarab.fr',
            'password'          => bcrypt('password'),
            'api_token'         => Str::random(60),
            'company'           => 'Goldenscarab',
            'comment'           => "Administrateur par défaut. Veuillez changer son mot de passe",
            'email_verified_at' => \Carbon\Carbon::now(),
            'active'            => "1",
            'updated_at'        => \Carbon\Carbon::now(),
            'created_at'        => \Carbon\Carbon::now(),
        ]);
    }
}
