@extends('layouts.email.transactional')

@section('content')

	<h1 style="text-align: center;">Réinitialisation du mot de passe</h1> <br><br>
	<p>
		Vous recevez ce mail car vous avez fait une demande de réinitialisation de mot de passe sur le site {{ $site_name }}. <br><br>
		Si vous n'êtes pas à l'origine de cette demande, veuillez ignorer ce mail.
	</p>
	<p>
		Le lien de réinitialisation sera actif durant une période de {{ config('auth.passwords.users.expire') / 60 }}h. Après cette période, veuillez utiliser l'option « Mot de passe oublié », depuis l'écran de connexion.
	</p>


@endsection

@section('button')
	<a href="{{ route('password.reset', $reset_token) }}" target="_blank" style="font-family: Avenir, Helvetica, sans-serif; box-sizing: border-box; border-radius: 3px; box-shadow: 0 2px 3px rgba(0, 0, 0, 0.16); color: #FFF; display: inline-block; text-decoration: none; -webkit-text-size-adjust: none; background-color: #3097D1; border-top: 10px solid #3097D1; border-right: 18px solid #3097D1; border-bottom: 10px solid #3097D1; border-left: 18px solid #3097D1;">
		Je réinitialise mon mot de passe
	</a>
@endsection
