@extends('modulus::layouts.app.form')

@section('fields')

<div class="card">
    <div class="card-header">
        <h3 class="card-title">{!! $action !!}</h3>
    </div>
    <div class="card-body">
    	<div class="form-row">
            <div class="col-sm-6">
                {!! \Field::input([
					'label'       => 'Étiquette',
					'name'        => 'display_name',
					'type'        => 'text',
					'prefix'      => '<i class="fa fa-bookmark"></i>',
					'is_required' => true,
					'placeholder' => "ex : Ma permission",
					'value'       => $item->short_display_name
				]) !!}
            </div>

            <div class="col-sm-6">
                {!! \Field::input([
					'label'       => 'Nom',
					'name'        => 'name',
					'type'        => 'text',
					'prefix'      => '<i class="fa fa-magnet"></i>',
					'is_required' => true,
					'placeholder' => "ex : ma-permission",
					'value'       => $item->short_name
				]) !!}
            </div>
        </div>

        <div class="form-row">
            <div class="col">
            	{!! \Field::textarea([
					'label' => 'Description',
					'name'  => 'description',
					'value' => $item->short_description,
					'rows'  => 3,
				]) !!}

            </div>
        </div>
    </div>
</div>

@endsection

