@extends('modulus::layouts.app.list')

@php
	// Paramétrage de la liste
	extract([
        'list_name'     => 'permission',
        'url_back'      => route('modulus.user.index'),
		'can_prefix'    => 'permission',
		'is_creatable'  => true,
		'has_menu'      => false,
		'is_exportable' => false,
		'is_resetable'  => false,
		'is_truncable'  => false,
		'is_searchable' => true,
		'is_paginable'  => false,
		'items'         => $permissions,
	]);
@endphp

@section('list')
    {!! Template::list4([
        'route_prefix' => $route_prefix,
        'can_prefix'   => $can_prefix,
        'menu'         => [
            'button' => '[UPDATE]',
            'dropdown' => [ 'items' => [
                '[DELETE]'
            ]]
        ],
        'source' => $items,
        'columns' => array([
                'label'    => 'Étiquette',
                'value'    => ':short_display_name',
                'sortable' => 'display_name'
            ],[
                'label'    => 'Nom',
                'value'    => ':short_name',
                'sortable' => 'short_name'
            ],[
                'label'    => 'Date',
                'value'    => ":updated_at->diffForHumans()",
                'sortable' => 'updated_at'
            ]
        )
    ]) !!}


@endsection
