@extends('layouts.back.login')

@section('content')


<div class="login-box">
    <div class="login-logo">
        {!! config('modulus.label_name') !!}
    </div>

    <div class="card">
        <div class="card-body login-card-body">
            <p class="login-box-msg">Mot de passe oublié</p>
            <form id="form-login" action="{{ route('password.email') }}" method="POST">
                @csrf

                <div class="alert alert-light" role="alert">
                    Communiquez-nous votre adresse e-mail et nous vous enverrons par e-mail un lien de réinitialisation de mot de passe qui vous permettra d'en choisir un nouveau.
                </div>

                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'       => 'email',
                            'suffix'     => '<i class="fa fa-envelope"></i>',
                            'attributes' => [
                                'autofocus'   => '',
                                'placeholder' => 'Email',
                                'required'    => true
                            ]
                        ]) !!}
                    </div>
                </div>

                <div class="row">
                    <div class="col">
                        <button id="btn-login" type="submit" class="btn btn-primary btn-block btn-flat">
                            <i class="fa fa-paper-plane mr-2" aria-hidden="true"></i>
                            Envoyez moi le lien
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
