@extends('modulus::layouts.app.adminlte')

@section('content')

<form class="{{ $form_class ?? '' }}" action="{{ route($route_prefix . '.store', array_merge(['id' => $item->id], $route_param ?? [], current_query_to_array())) }}" method="post" autocomplete="off" enctype="multipart/form-data">
	@csrf

    @yield('fields')

    <div class="form-action">
		<a href="{{ route($route_prefix . '.index', $route_param ?? null) }}" class="btn btn-warning">
			<i class="fa fa-reply" aria-hidden="true"></i>
		</a>
		<button class="btn btn-success" type="submit">
	    	<i class="fa fa-floppy-o" aria-hidden="true"></i>
	    </button>
	</div>
</form>

@endsection
