<?php

namespace App\Http\Services\User;

use App\Http\Repositories\UserRepository;

class UserService
{

    private $user_repo;

    public function __construct(UserRepository $user_repo)
    {
        $this->user_repo = $user_repo;
    }

    public function all()
    {
        return $this->user_repo->all();
    }

    public function findOrFail($id)
    {
        return $this->user_repo->findOrFail($id);
    }

    public function find($id)
    {
        return $this->user_repo->find($id);
    }
}
