<?php

namespace Goldenscarab\Modulus\App\Providers;

use Goldenscarab\Modulus\App\Console\Modulus\EmailTest;
use Illuminate\Support\ServiceProvider;



class LoadServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        if ($this->app->runningInConsole()) {
            $this->commands([
                EmailTest::class,
            ]);
        }

        //$this->loadMigrationsFrom(__DIR__.'/../../database/migrations');
        $this->loadTranslationsFrom(__DIR__.'/../../resources/lang', 'modulus');
        $this->loadViewsFrom(__DIR__.'/../../resources/views', 'modulus');
    }
}
