<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Contracts\Validation\Rule;

class GPSCoordinate implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return preg_match('#^(-?\d{1,3}\.\d{6,7})$#', $value) === 1;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Le champs :attribute doit être une coordonnée GPS valide. ex : 43.897312';
    }
}
