<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Contracts\Validation\Rule;

class Monetary implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return preg_match('#^-?[0-9 ]+([.,][0-9]{1,2})?$#', $value) === 1;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return "Le champs :attribute doit être de type monétaire. ex : 1 234,56";
    }
}
