<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Contracts\Validation\Rule;

class Telephone implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return preg_match('/^(\+\d{2}|0)(\d|\s\d){1}([\s|\-|\.]{0,1}[\d]{2}){4}$/', $value);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'La valeur du champs :attribute ne contient pas un numéro de téléphone valide. ex: 0605040302';
    }
}
