<?php

return [

    /**
     * Classe définissant la couleur de fond du bandeau logo
     * default: bg-info
     */
    'band_color_class' => 'bg-info',

    /**
     * Icone du nom de l'application
     * default: <i class="fa fa-puzzle-piece align-middle ml-3" style="font-size: 26px;"></i>
     */
    'label_icon' => '<i class="fa fa-puzzle-piece align-middle ml-3" style="font-size: 26px;"></i>',

    /**
     * Nom de l'application
     * default: <b>M</b>odulus
     */
    'label_name' => '<b>M</b>odulus',

    /**
     * Préfixe des url de Modulus
     * default: /backend
     */
    'url_prefix' => '/backend',

    /**
     * Route vers le controleur Dashboad pour personnalisation
     * default: Goldenscarab\\Modulus\\App\\Http\\Controllers\\App\\DashboardController@index
     * exemple : App\\Http\\Controllers\\DashboardController@index
     */
    'dashboard_action' => 'Goldenscarab\\Modulus\\App\\Http\\Controllers\\App\\DashboardController@index',

    /**
     * Messages du footer
     */
    'msg_footer_left' => '<strong>Copyright &copy; ' .  date('Y')  . ' <a href="https://www.goldenscarab.fr" target="_blanc">Goldenscarab.</a></strong> All rights reserved.',
    'msg_footer_right' => 'La simplicité dans le sur mesure',
];
