<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Artisan;

class ModulesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $modules = [
            'Module1', 'Module2', 'Modules3'
        ];

        foreach ($modules as $module) {
            Artisan::call('module:enable', ['module' => $module]);
            app(ModuleController::class)->install(strtolower($module));
        }
    }
}
