@extends('layouts.back.default')



<!-- Ajout de scripts -->
@section('scripts')
    <script type="text/javascript">
    	



      	$(document).ready(function() {
        	var elf = $('#elfinder').elfinder({
    	      	// set your elFinder options here
    	      	url: '{!! route("elfinder.connector") !!}',  // connector URL
    	      	lang: '{!! config('app.locale') !!}',
                disabled: ['extract', 'archive', 'search'],
                requestType: 'get',
                resizable: false,
                commands : ['open', 'reload', 'home', 'up', 'back', 'forward', 'getfile', 'quicklook', 
                'download', 'rm', 'rename', 'mkdir', 'upload', 'info', 'resize', 'sort'],
                onlyMimes: ["image", "video", "application/pdf", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"],
                uiOptions : {
                    toolbar : [
                        ['back', 'forward'],
                        ['reload'],
                        ['home', 'up'],
                        ['mkdir', 'mkfile', 'upload'],
                        ['open', 'download', 'getfile'],
                        ['info'],
                        ['quicklook'],
                        ['rm', 'rename', 'resize'],
                        ['search'],
                    ]
                },
                customData: {
                    _token: '{!! csrf_token() !!}'
                },
                commandsOptions : {
                    getfile: {
                        onlyURL: false,
                        multiple: false,
                        folders: false,
                    }
                },
                bootCallback : function(fm) {
                    // for TinyMCE 5
                    var wmng = parent.tinymce.activeEditor.windowManager;
                    console.log(wmng);
                    if (wmng._elfinderCallBack) {
                        fm._tinymceCallback = wmng._elfinderCallBack;
                        delete wmng._elfinderCallBack;
                    }
                },
    	      	getFileCallback: function(file, fm) { // editor callback
    	        	var wmng = parent.tinymce.activeEditor.windowManager;

                    if (fm._tinymceCallback) {
                        // mce v5
                        fm._tinymceCallback(file, fm);
                    } else {
                        // mce v4
                        wmng.getParams().oninsert(file, fm);
                    }

                    wmng.close();
    	      }
    	    }).elfinder('instance');      
      	});

    </script>

@stop

@section('content')

    <div id="elfinder"></div>
    
@endsection