@extends('layouts.email.transactional')

@section('content')

	<h1 style="text-align: center;">Création de compte</h1> <br><br>
	<p>
		Votre compte vient d'être créé depuis {{ $site_name }}. <br><br>
		Cliquez sur le bouton ci-dessous pour activer votre compte et changer votre mot de passe.
	</p>
	<p>
		Le lien d'activation sera actif durant une période de {{ config('auth.passwords.users.expire') / 60 }}h.
	</p>


@endsection

@section('button')
	<a href="{{ route('password.reset', $reset_token) }}" target="_blank" style="font-family: Avenir, Helvetica, sans-serif; box-sizing: border-box; border-radius: 3px; box-shadow: 0 2px 3px rgba(0, 0, 0, 0.16); color: #FFF; display: inline-block; text-decoration: none; -webkit-text-size-adjust: none; background-color: #3097D1; border-top: 10px solid #3097D1; border-right: 18px solid #3097D1; border-bottom: 10px solid #3097D1; border-left: 18px solid #3097D1;">
		J'active mon compte
	</a>
@endsection