<!-- Messsage Flash -->

@if($errors->any())
	<div class="alert alert-danger alert-dismissible" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<i class="fa fa-times marfin-r-10" aria-hidden="true"></i>
		Il y a des erreurs dans la saisie de certains champs :
		<ul>
			@foreach($errors->all() as $error)
				<li>{{ $error }}</li>
			@endforeach
		</ul>
	</div>
@endif

<div id="popup-alert">
	@if(Session::has('success'))
		<div class="alert alert-success alert-dismissible animate__animated animate__tada" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">×</span>
			</button>
			<i class="fa fa-check margin-r-10" aria-hidden="true"></i>
			{!! Session::get('success') !!}
		</div>
	@endif
	@if(Session::has('danger'))
		<div class="alert alert-danger alert-dismissible animate__animated animate__tada" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">×</span>
			</button>
			<i class="fa fa-times margin-r-10" aria-hidden="true"></i>
			{!! Session::get('danger') !!}
		</div>
	@endif
	@if(Session::has('error'))
		<div class="alert alert-danger alert-dismissible animate__animated animate__tada" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">×</span>
			</button>
			<i class="fa fa-times margin-r-10" aria-hidden="true"></i>
			{!! Session::get('error') !!}
		</div>
	@endif
	@if(Session::has('info'))
		<div class="alert alert-info alert-dismissible animate__animated animate__tada" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">×</span>
			</button>
			<i class="fa fa-info-circle margin-r-10" aria-hidden="true"></i>
			{!! Session::get('info') !!}
		</div>
	@endif
	@if(Session::has('warning'))
		<div class="alert alert-warning alert-dismissible animate__animated animate__tada" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">×</span>
			</button>
			<i class="fa fa-exclamation-triangle margin-r-10" aria-hidden="true"></i>
			{!! Session::get('warning') !!}
		</div>
	@endif
</div>
